Name:           quota
Version:        4.03
Release:        %mkrel 2
Summary:        System administration tools for monitoring users' disk usage
License:        BSD and GPLv2+
Group:          System/Configuration
URL:            http://sourceforge.net/projects/linuxquota/
Source0:        http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.gz
Source1:        quota_nld.service
Source2:        quota_nld.sysconfig
Source3:        rpc-rquotad.service
Source4:        rpc-rquotad.sysconfig
# LDAP scripts forgotten in 4.03, taken from upstream git
# 861154efb90ed049e0473cc36935b8d03c78a869, fixed in upstream after 4.03
Source5:        ldap-scripts.tar.gz
Patch0:         quota-4.03-warnquota-configuration-tunes.patch
Patch1:         quota-4.03-Build-rpc.rquotad-as-PIE.patch
Patch2:         quota-4.03-Validate-upper-bound-of-RPC-port.patch
Patch3:         quota-4.03-Respect-enviroment-CFLAGS.patch
Patch4:         quota-4.03-Work-around-an-AC_CHECK_LIB-bug-in-Autoconf.patch
Patch50:        quota-tools-default-conf.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  dbus-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  gettext-devel
BuildRequires:  libnl3-devel
BuildRequires:  openldap-devel
BuildRequires:  systemd
BuildRequires:  tcp_wrappers-devel
BuildRequires:  tirpc-devel
Requires:       e2fsprogs
Requires:       initscripts >= 6.38
Requires:       tcp_wrappers

%description
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.

%package        nld
Group:          System/Configuration
Summary:        quota_nld daemon
Requires:       quota = %{version}-%{release}

%description    nld
Daemon that listens on netlink socket and processes received quota warnings.
Note, that you have to enable the kernel support for sending quota messages
over netlink (in Filesystems->Quota menu). The daemon supports forwarding
warning messages to the system D-Bus (so that desktop manager can display
a dialog) and writing them to the terminal user has last accessed.


%package        warnquota
Group:          System/Configuration
Summary:        Send e-mail to users over quota
Requires:       quota = %{version}-%{release}

%description    warnquota
Utility that checks disk quota for each local file system and mails a warning
message to those users who have reached their soft limit.  It is typically run
via cron(8).


%package        devel
Group:          System/Configuration
Summary:        Development files for quota
Requires:       quota = %{version}-%{release}

%description    devel
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.

This package contains development header files for implementing quotas
on remote machines.


%package        doc
Group:          Documentation
Summary:        Additional documentation for disk quotas
Requires:       quota = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains additional documentation for disk quotas concept in
Linux/UNIX environment.

%prep
%setup -q
%autopatch -p1

tar -xzkf %{SOURCE5}

# Fix for perm bug #3053
chmod 755 ldap-scripts/setquota-ldap.pl

%build
%serverbuild

autoreconf -fi

%configure2_5x \
    --enable-bsd-behaviour \
    --enable-ext2direct \
    --enable-ldapmail \
    --enable-libwrap \
    --enable-netlink \
    --enable-nls \
    --disable-rpath \
    --enable-rpcsetquota \
    --disable-silent-rules \
    --disable-xfs-roothack

%make

%install
%makeinstall_std
rm -rf %{buildroot}%{_docdir}/%{name}

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}

install -p -m644 -D %{SOURCE1} %{buildroot}%{_unitdir}/quota_nld.service
install -p -m644 -D %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/sysconfig/quota_nld
install -p -m644 -D %{SOURCE3} %{buildroot}%{_unitdir}/rpc-rquotad.service
install -p -m644 -D %{SOURCE4} \
    %{buildroot}%{_sysconfdir}/sysconfig/rpc-rquotad

# we don't support XFS yet
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

%find_lang %{name}

%check
make check

%post nld
%_post_service quota_nld

%preun nld
%_preun_service quota_nld

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/sysconfig/rpc-rquotad
%{_unitdir}/rpc-rquotad.service
%doc Changelog
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%exclude %{_sbindir}/quota_nld
%exclude %{_sbindir}/warnquota
%exclude %{_mandir}/man8/quota_nld.8*
%exclude %{_mandir}/man8/warnquota.8*

%files nld
%config(noreplace) %{_sysconfdir}/sysconfig/quota_nld
%{_unitdir}/quota_nld.service
%{_sbindir}/quota_nld
%{_mandir}/man8/quota_nld.8*

%files warnquota
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
%{_sbindir}/warnquota
%{_mandir}/man5/quotagrpadmins.5*
%{_mandir}/man5/quotatab.5*
%{_mandir}/man5/warnquota.conf.5*
%{_mandir}/man8/warnquota.8*
%doc README.ldap-support README.mailserver

%files devel
%dir %{_includedir}/rpcsvc
%{_includedir}/rpcsvc/*
%{_mandir}/man3/*

%files doc
%doc doc/* ldap-scripts


%changelog
* Sat Jan 23 2016 luigiwalser <luigiwalser> 4.03-2.mga6
+ Revision: 926675
- add rpc-rquotad.service that was dropped from nfs-utils (fedora)
- re-add ldap-scripts accidentally left out of upstream tarball
- sync fedora patches to make rquotad more secure and fix linking
- update configure arguments to make rquotad more secure
- enable make check (no-op for now)

* Sat Jan 02 2016 guillomovitch <guillomovitch> 4.03-1.mga6
+ Revision: 918072
- new version 4.03

* Thu Dec 25 2014 luigiwalser <luigiwalser> 4.02-1.mga5
+ Revision: 806030
- 4.02
- remove upstreamed patches
- re-order some lines in SPEC in accordance with fedora changes
- add patch from fedora to build with pie
- rediff patch 0 (from fedora)
- rediff patch 51
- BR systemd
- build with libnl3

* Wed Oct 15 2014 umeabot <umeabot> 4.01-4.mga5
+ Revision: 748205
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.01-3.mga5
+ Revision: 688586
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.01-2.mga4
+ Revision: 532653
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 luigiwalser <luigiwalser> 4.01-1.mga4
+ Revision: 469163
- 4.01 (sync with fedora)
- add libtirpc patch from omdv

* Wed Jan 23 2013 fwang <fwang> 3.17-10.mga3
+ Revision: 391517
- disable root sbin
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.17-9.mga3
+ Revision: 380123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 luigiwalser <luigiwalser> 3.17-8.mga3
+ Revision: 285908
- call autoheader/aclocal/autoconf (needed for patch 7)
- add patch from opensuse to fix CVE-2012-3417

* Fri Apr 20 2012 barjac <barjac> 3.17-7.mga2
+ Revision: 232036
- fixed bug 3053 doc file permissions
- cleaned spec

* Sun Jan 23 2011 ennael <ennael> 3.17-6.mga1
+ Revision: 33381
- imported package quota

